﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;
using System.Text;
using System.Threading.Tasks;
using OxyPlot.Series;

namespace WindowsFormsApplication1
{
    static class Helper
    {
        public static void Add(this ScatterSeries scatter, Complex item)
        {
            scatter.Add(item.Real, item.Imaginary);
        }

        public static void Add(this ScatterSeries scatter, double real, double imagine)
        {
            scatter.Points.Add(new ScatterPoint(real, imagine));
        }

        public static void Add(this ScatterSeries scatter, IEnumerable<Complex> points)
        {
            if (points == null)
            {
                return;
            }

            foreach (Complex item in points)
            {
                scatter.Add(item);
            }
        }
    }
}
